---
apiVersion: v1
kind: ConfigMap
metadata:
  name: dnsdist
data:
  dnsdist.conf: |
    setLocal('0.0.0.0:53')
    setACL({'0.0.0.0/0', '::/0'})
    resolver = require 'dnsdist-resolver'
    resolver.servers['powerdns-auth-headless'] = {pool='auths'}
    resolver.servers['powerdns-recursor-headless'] = {pool='recursors'}
    maintenance = resolver.maintenance
    showServers()
    function split(s, delimiter)
        result = {};
        for match in (s..delimiter):gmatch("(.-)"..delimiter) do
            table.insert(result, match);
        end
        return result;
    end
    auth_domains = newSuffixMatchNode()
    local_domains = split(os.getenv("LOCAL_DOMAINS") or "", ",")
    for i, name in ipairs(local_domains) do
      auth_domains:add(name)
    end
    addAction(SuffixMatchNodeRule(auth_domains), PoolAction('auths'))
    addAction(AllRule(), PoolAction('recursors'))
